Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFChart

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xssf.usermodel.XSSFChart

All Implemented Interfaces:
  org.apache.poi.ss.usermodel.Chart, org.apache.poi.ss.usermodel.charts.ChartAxisFactory, org.apache.poi.ss.usermodel.charts.ManuallyPositionable

    public final class XSSFChart

extends POIXMLDocumentPart
implements org.apache.poi.ss.usermodel.Chart, org.apache.poi.ss.usermodel.charts.ChartAxisFactory

Represents a SpreadsheetML Chart

Author:
  Nick Burch, Roman Kashitsyn

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Method Summary
`org.apache.poi.ss.usermodel.charts.ValueAxis` | `createValueAxis(org.apache.poi.ss.usermodel.charts.AxisPosition pos)`
`void` | `deleteLegend()`
`java.util.List` | `getAxis()`
`org.apache.poi.ss.usermodel.charts.ChartAxisFactory` | `getChartAxisFactory()`
`org.apache.poi.ss.usermodel.charts.ChartDataFactory` | `getChartDataFactory()`
`org.openxmlformats.schemas.drawingml.x2006.chart.CTChart` | `getCTChart()` Return the underlying CTChart bean, within the Chart Space
`org.openxmlformats.schemas.drawingml.x2006.chart.CTChartSpace` | `getCTChartSpace()` Return the underlying CTChartSpace bean, the root element of the SpreadsheetML Chart part.
`XSSFGraphicFrame` | `getGraphicFrame()` Returns the parent graphic frame.
`org.apache.poi.ss.usermodel.charts.ManualLayout` | `getManualLayout()`
`org.apache.poi.ss.usermodel.charts.ChartLegend` | `getOrCreateLegend()`
`XSSFRichTextString` | `getTitle()` Returns the title, or null if none is set
`boolean` | `isPlotOnlyVisibleCells()`
`void` | `plot(org.apache.poi.ss.usermodel.charts.ChartData data, org.apache.poi.ss.usermodel.charts.ChartAxis[] axis)`
`void` | `setPlotOnlyVisibleCells(boolean plotVisOnly)`

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelationById, getRelationId, getRelations, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getCTChartSpace

    public org.openxmlformats.schemas.drawingml.x2006.chart.CTChartSpace getCTChartSpace()

  Return the underlying CTChartSpace bean, the root element of the SpreadsheetML Chart part.

  Returns:
    the underlying CTChartSpace bean

### getCTChart

    public org.openxmlformats.schemas.drawingml.x2006.chart.CTChart getCTChart()

  Return the underlying CTChart bean, within the Chart Space

  Returns:
    the underlying CTChart bean

### getGraphicFrame

    public XSSFGraphicFrame getGraphicFrame()

  Returns the parent graphic frame.

  Returns:
    the graphic frame this chart belongs to

### getChartDataFactory

    public org.apache.poi.ss.usermodel.charts.ChartDataFactory getChartDataFactory()

  Specified by:
    `getChartDataFactory` in interface `org.apache.poi.ss.usermodel.Chart`

### getChartAxisFactory

    public org.apache.poi.ss.usermodel.charts.ChartAxisFactory getChartAxisFactory()

  Specified by:
    `getChartAxisFactory` in interface `org.apache.poi.ss.usermodel.Chart`

### plot

    public void plot(org.apache.poi.ss.usermodel.charts.ChartData data,
                     org.apache.poi.ss.usermodel.charts.ChartAxis[] axis)

  Specified by:
    `plot` in interface `org.apache.poi.ss.usermodel.Chart`

### createValueAxis

    public org.apache.poi.ss.usermodel.charts.ValueAxis createValueAxis(org.apache.poi.ss.usermodel.charts.AxisPosition pos)

  Specified by:
    `createValueAxis` in interface `org.apache.poi.ss.usermodel.charts.ChartAxisFactory`

### getAxis

    public java.util.List getAxis()

  Specified by:
    `getAxis` in interface `org.apache.poi.ss.usermodel.Chart`

### getManualLayout

    public org.apache.poi.ss.usermodel.charts.ManualLayout getManualLayout()

  Specified by:
    `getManualLayout` in interface `org.apache.poi.ss.usermodel.charts.ManuallyPositionable`

### isPlotOnlyVisibleCells

    public boolean isPlotOnlyVisibleCells()

  Returns:
    true if only visible cells will be present on the chart, false otherwise

### setPlotOnlyVisibleCells

    public void setPlotOnlyVisibleCells(boolean plotVisOnly)

  Parameters:
    `plotVisOnly` - a flag specifying if only visible cells should be present on the chart

### getTitle

    public XSSFRichTextString getTitle()

  Returns the title, or null if none is set

### getOrCreateLegend

    public org.apache.poi.ss.usermodel.charts.ChartLegend getOrCreateLegend()

  Specified by:
    `getOrCreateLegend` in interface `org.apache.poi.ss.usermodel.Chart`

### deleteLegend

    public void deleteLegend()

  Specified by:
    `deleteLegend` in interface `org.apache.poi.ss.usermodel.Chart`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD